package org.wso2.carbon.device.mgt.ios.payload.beans;

public class SecurityAssociationParameters {

    private EncryptionAlgorithm encryptionAlgorithm;
    private IntegrityAlgorithm integrityAlgorithm;
    private Integer DiffieHellmanGroup;
    private Integer lifeTimeInMinutes;
    private Integer useConfigurationAttributeInternalIPSubnet;
    private Integer disableMOBIKE;
    private Integer disableRedirect;
    private Integer NATKeepAliveOffloadEnable;
    private Integer NATKeepAliveInterval;

    public EncryptionAlgorithm getEncryptionAlgorithm() {
        return encryptionAlgorithm;
    }

    public void setEncryptionAlgorithm(EncryptionAlgorithm encryptionAlgorithm) {
        this.encryptionAlgorithm = encryptionAlgorithm;
    }

    public IntegrityAlgorithm getIntegrityAlgorithm() {
        return integrityAlgorithm;
    }

    public void setIntegrityAlgorithm(IntegrityAlgorithm integrityAlgorithm) {
        this.integrityAlgorithm = integrityAlgorithm;
    }

    public Integer getDiffieHellmanGroup() {
        return DiffieHellmanGroup;
    }

    public void setDiffieHellmanGroup(Integer diffieHellmanGroup) {
        DiffieHellmanGroup = diffieHellmanGroup;
    }

    public Integer getLifeTimeInMinutes() {
        return lifeTimeInMinutes;
    }

    public void setLifeTimeInMinutes(Integer lifeTimeInMinutes) {
        this.lifeTimeInMinutes = lifeTimeInMinutes;
    }

    public Integer getUseConfigurationAttributeInternalIPSubnet() {
        return useConfigurationAttributeInternalIPSubnet;
    }

    public void setUseConfigurationAttributeInternalIPSubnet(Integer useConfigurationAttributeInternalIPSubnet) {
        this.useConfigurationAttributeInternalIPSubnet = useConfigurationAttributeInternalIPSubnet;
    }

    public Integer getDisableMOBIKE() {
        return disableMOBIKE;
    }

    public void setDisableMOBIKE(Integer disableMOBIKE) {
        this.disableMOBIKE = disableMOBIKE;
    }

    public Integer getDisableRedirect() {
        return disableRedirect;
    }

    public void setDisableRedirect(Integer disableRedirect) {
        this.disableRedirect = disableRedirect;
    }

    public Integer getNATKeepAliveOffloadEnable() {
        return NATKeepAliveOffloadEnable;
    }

    public void setNATKeepAliveOffloadEnable(Integer NATKeepAliveOffloadEnable) {
        this.NATKeepAliveOffloadEnable = NATKeepAliveOffloadEnable;
    }

    public Integer getNATKeepAliveInterval() {
        return NATKeepAliveInterval;
    }

    public void setNATKeepAliveInterval(Integer NATKeepAliveInterval) {
        this.NATKeepAliveInterval = NATKeepAliveInterval;
    }

}
